EDIT - feature request #8572

Rule considered configurable
09/27/2019 10:34 AM - Katja Luther

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.11

Severity: normal

Description

Rule considered is not needed in all projects, therefore it should be configurable whether it should be shown or not

Related issues:

Related to EDIT - feature request #8410: Add nomenclatural code edition to ru... Closed

Associated revisions

Revision da5756d8 - 09/27/2019 01:29 PM - Katja Luther

ref #8572: code cleaning and rule considered configurable

Revision 077e5556 - 09/30/2019 02:09 PM - Katja Luther
ref #8572: minor

Revision 5006¢242 - 11/04/2019 01:18 PM - Katja Luther

ref #8572: rule considered and code edition enable/disable in preferences

Revision 54c2a6e5 - 11/04/2019 01:22 PM - Katja Luther

ref #8572: some more indention for sub preferences

History

#1 - 09/27/2019 01:27 PM - Katja Luther

- Related to feature request #8410: Add nomenclatural code edition to ruleConsidered in TaxEditor added

#2 - 09/27/2019 02:58 PM - Katja Luther

- Status changed from New to In Progress

#3 - 09/30/2019 01:22 PM - Katja Luther
- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

please review

#4 - 09/30/2019 01:22 PM - Katja Luther
- % Done changed from 0 to 70

#5 - 11/01/2019 09:38 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

Please use human readable version for rule considered. E.g. by using getMessage().

@AK: which method do you use in vaadin editor?

Update: Sorry, wrong ticket, see #8410#note-8
https://dev.e-taxonomy.eu/redmine/issues/8410#note-8

#6 - 11/01/2019 09:42 AM - Andreas Miiller
Fhefiltering-doesnetwerk!-Neitherforprojectprefs-nerferlecalprefs => see #8572#note-9

#7 - 11/01/2019 09:44 AM - Andreas Miiller
- % Done changed from 70 to 50

If "rule considered" is not switched on also "Code edition" should be automatically be switched off in the preferences. This is in accordance with the
name details view: if you do not enter a rule considered you can also not select a code editon.

#8 - 11/01/2019 09:55 AM - Andreas Miiller

Please have some more indentation for the sub-preferences on the name details view. Currently it is only ~1/3 of the checkbox. | think the checkbox
of the sub-preference should start at about the position as the text for the main preferences

#9 - 11/01/2019 09:56 AM - Andreas Miiller
Andreas Muller wrote:

The filtering does not work! Neither for project prefs nor for local prefs

A sorry this was probably a mistake. | set it for name relationship but worked on name status

#10 - 11/01/2019 10:03 AM - Andreas Miiller
- File picture667-1.png added

Andreas Muller wrote:
Please have some more identation for the sub-preferences on the name details view. Currently it is only ~1/3 of the checkbox. | think the
checkbox of the sub-preference should start at about the position as the text for the main preferences

By the way: the label for "Secundum enabled (editing in d....) is not fully shown for some reason

[w] Taxen of the name
Secundum enabled (editing in di

Secundum reference details

#11 - 11/04/2019 01:39 PM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

I think all open issues are fixed.

e sub preference have more indent
¢ the label for "Secundum enabled..." is fully displayed
* enabling/disabling of subpreferences

#12 - 11/04/2019 03:33 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 50 to 90

Personally | would give even more indentation (see #8572#note-8). But this is up to you.

Generally we can close the ticket.

#13 - 11/05/2019 01:49 PM - Katja Luther
- Status changed from Feedback to Closed
- % Done changed from 90 to 100

Files

04/09/2024 2/3


https://dev.e-taxonomy.eu/redmine/issues/8572#note-9
https://dev.e-taxonomy.eu/redmine/issues/8572#note-8

picture667-1.png 1.59 KB 11/01/2019 Andreas Miller

04/09/2024 3/3


http://www.tcpdf.org

